Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Recommended Target Platform for RCP + IDE + Resources
Recommended Target Platform for RCP + IDE + Resources [message #546716] Tue, 13 July 2010 22:19 Go to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
OK, this seems like such a stupid question, but I've googled all over the place and I just can't figure out how to setup a nice RCP target platform that includes org.eclipse.ui.ide.application and o.e.c.resources. I do not want SDK, and I do not want to add the plugins individually. I want to be able to specify this from a URL feature based target platform.

thanks,

Miles
Re: Recommended Target Platform for RCP + IDE + Resources [message #546721 is a reply to message #546716] Tue, 13 July 2010 22:41 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
And similarly, I can't seem to get just the pde.runtime so that I can support the error view. Is there a single feature that I can use for that with minimal additional dross?

tia,

Miles
Re: Recommended Target Platform for RCP + IDE + Resources [message #546731 is a reply to message #546716] Wed, 14 July 2010 01:22 Go to previous message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Miles Parker wrote on Tue, 13 July 2010 18:19
OK, this seems like such a stupid question, but I've googled all over the place and I just can't figure out how to setup a nice RCP target platform that includes org.eclipse.ui.ide.application and o.e.c.resources. I do not want SDK, and I do not want to add the plugins individually. I want to be able to specify this from a URL feature based target platform.

thanks,

Miles


OK, I think I have this figured out. First I had that backward -- I want ui.ide, but not ui.ide.app. It seems that it is in the "Platform SDK" . I also figured out the other issue..it seems that the log moved for 3.6 so the pde dependencies are no longer necessary. Smile I must say that I find the various versions of the feature builds really confusing. I did brief survey and we have:

Eclipse Platform
Eclipse RCP
Eclipse SDK
Eclipse Platfrom SDK
rEclipse Platform Launchers
Eclipse RCP SDK
Eclipse for RCP and RAP Developers
EPP RCP/RAP Feature
Eclipse IDE for (you name it)
Eclipse Project SDK
Equinox Core SDK
Equinox Compendium SDK

To me the SDK distinction seems a bit backward as far as target platforms go. If Im looking for something to build *against*, I'm thinking "runtime". If I'm looking for something to build *with*, I'm thinking SDK. That is I would expect to develop xGadget apps using the "xGadget SDK" and I would expect to build deployments for that with "xGadget Runtime" binaries. Not that this is going to change now given that it seems to make sense to everyone else, or at least that's what we're used to..
Previous Topic:Maven repository for Eclipse Helios?
Next Topic:RCP display problems with multiple monitors in Windows 7 x64
Goto Forum:
  


Current Time: Sun Dec 21 18:47:18 GMT 2014

Powered by FUDForum. Page generated in 0.12329 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software